# -*- coding: utf-8 -*-
# Generated by Django 1.10.4 on 2017-03-16 04:03
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ApiRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('requestId', models.CharField(max_length=256)),
                ('apiToken', models.CharField(default='', max_length=64, verbose_name='API Token')),
                ('requestPath', models.TextField()),
                ('requestQueryString', models.TextField()),
                ('requestVars', models.TextField()),
                ('requestMethod', models.CharField(max_length=4)),
                ('requestSecure', models.BooleanField(default=False)),
                ('requestAjax', models.BooleanField(default=False)),
                ('requestMETA', models.TextField(blank=True, null=True)),
                ('requestAddress', models.GenericIPAddressField()),
                ('requestBody', models.TextField(blank=True, null=True)),
                ('viewFunction', models.CharField(max_length=256)),
                ('viewDocString', models.TextField(blank=True, null=True)),
                ('viewArgs', models.TextField()),
                ('responseCode', models.CharField(max_length=3)),
                ('responseContent', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='TaskDetails',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_id', models.UUIDField()),
                ('task_name', models.CharField(max_length=200)),
                ('task_source', models.CharField(max_length=200)),
                ('task_destination', models.CharField(max_length=200)),
                ('task_severity', models.CharField(choices=[('0', 'Low'), ('1', 'Normal'), ('2', 'HIGH')], max_length=1)),
                ('task_status', models.CharField(choices=[('0', 'Active'), ('1', 'Completed'), ('2', 'Defferred'), ('3', 'Cancelled')], max_length=1)),
                ('initiated_on', models.DateTimeField(auto_now_add=True)),
                ('completed_on', models.DateTimeField(auto_now_add=True)),
                ('parent_task_id', models.UUIDField()),
                ('request_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Request.ApiRequest')),
            ],
        ),
        migrations.CreateModel(
            name='TaskLog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('task_log_type', models.CharField(choices=[('0', 'DEBUG'), ('1', 'WARNING'), ('2', 'INFO'), ('3', 'ERROR'), ('4', 'CRITICAL')], max_length=1)),
                ('task_message', models.TextField()),
                ('logged_on', models.DateTimeField(auto_now_add=True)),
                ('task_id', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='Request.TaskDetails')),
            ],
        ),
    ]
